summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2014-10-17 03:50:13 +0200
committer Willy Sudiarto Raharjo2014-10-17 03:50:13 +0200
commitb4adb046e5ef406d91a16c3e296c643c984acbaa (patch)
tree2ee24dccf135339521b9b18a82d98848e13fdb9f
parent51d3a0e37b387cf888731028f479160a950df37b (diff)
downloadslackbuilds-b4adb046e5ef406d91a16c3e296c643c984acbaa.tar.gz
libraries/libtsm: Added (terminal-emulator state machine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libtsm/README11
-rw-r--r--libraries/libtsm/libtsm.SlackBuild80
-rw-r--r--libraries/libtsm/libtsm.info10
-rw-r--r--libraries/libtsm/slack-desc19
4 files changed, 120 insertions, 0 deletions
diff --git a/libraries/libtsm/README b/libraries/libtsm/README
new file mode 100644
index 0000000000..9118a7f733
--- /dev/null
+++ b/libraries/libtsm/README
@@ -0,0 +1,11 @@
+libtsm (terminal-emulator state machine)
+
+TSM is a state machine for DEC VT100-VT520 compatible terminal
+emulators. It tries to support all common standards while keeping
+compatibility to existing emulators like xterm, gnome-terminal,
+konsole, ..
+
+TSM itself does not provide any rendering nor window management. It is
+a simple plain state machine without any external dependencies. It can
+be used to implement terminal emulators, but also to implement other
+applications that need to interpret terminal escape sequences.
diff --git a/libraries/libtsm/libtsm.SlackBuild b/libraries/libtsm/libtsm.SlackBuild
new file mode 100644
index 0000000000..59be97df36
--- /dev/null
+++ b/libraries/libtsm/libtsm.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for libtsm
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=libtsm
+VERSION=${VERSION:-3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-static \
+ --enable-shared \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING LICENSE* NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libtsm/libtsm.info b/libraries/libtsm/libtsm.info
new file mode 100644
index 0000000000..f05a5f4031
--- /dev/null
+++ b/libraries/libtsm/libtsm.info
@@ -0,0 +1,10 @@
+PRGNAM="libtsm"
+VERSION="3"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/libtsm/"
+DOWNLOAD="http://freedesktop.org/software/kmscon/releases/libtsm-3.tar.xz"
+MD5SUM="c1b297a69d11a72f207ec35ae5ce7d69"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libxkbcommon"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/libraries/libtsm/slack-desc b/libraries/libtsm/slack-desc
new file mode 100644
index 0000000000..bb067a96cd
--- /dev/null
+++ b/libraries/libtsm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libtsm: libtsm (terminal-emulator state machine)
+libtsm:
+libtsm: TSM is a state machine for DEC VT100-VT520 compatible terminal
+libtsm: emulators. It tries to support all common standards while keeping
+libtsm: compatibility to existing emulators like xterm, gnome-terminal,
+libtsm: konsole, ..
+libtsm:
+libtsm: TSM itself does not provide any rendering nor window management. It
+libtsm: is a simple plain state machine without any external dependencies. It
+libtsm: can be used to implement terminal emulators, but also to implement
+libtsm: other applications that need to interpret terminal escape sequences.